libsystemc_2.3.3-2_amd64.deb


Advertisement

Description

libsystemc - SystemC library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libsystemc_2.3.3-2_amd64.deb
Package name libsystemc
Package version 2.3.3
Package release 2
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://www.accellera.org/downloads/standards/systemc/
License -
Maintainer أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Download size 433.62 KB
Installed size 2.09 MB
SystemC is an HDL (High Definition Language) based on a C++ class library
intended for simulations using standard C++ tools.
This library also includes TLM (Transaction Level Modeling) code,
This package contains the shared libraries.

Alternatives

Package Version Architecture Repository
libsystemc_2.3.3-2_i386.deb 2.3.3 i386 Debian Main
libsystemc - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libsystemc_2.3.3-2_amd64.deb
Source Package systemc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsystemc deb package:
    # sudo apt-get install libsystemc

Files

Path
/usr/lib/x86_64-linux-gnu/libsystemc-2.3.3.so
/usr/share/doc/libsystemc/NOTICE
/usr/share/doc/libsystemc/RELEASENOTES.gz
/usr/share/doc/libsystemc/changelog.Debian.gz
/usr/share/doc/libsystemc/changelog.gz
/usr/share/doc/libsystemc/copyright
/usr/share/lintian/overrides/libsystemc

Changelog

2019-03-10 - أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
systemc (2.3.3-2) unstable; urgency=medium
[ أحمد المحمودي (Ahmed El-Mahmoudy) ]
* [625f662] Revert "uscan: update watch file to catch new versions"
This reverts commit 83ab9e15a4138b76fadd9d6ada5d0893a12f0ae8.
* [3886a0b] Bumped standards version to 4.3.0, no changes needed
[ Carsten Schoenert ]
* [d3c60cd] libsystemc.symbols: update after GCC update
2018-12-20 - أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
systemc (2.3.3-1) unstable; urgency=medium
[ Carsten Schoenert ]
* [79d0b67] d/gbp.conf: adding config file for git-buildpackage
* [14ad850] New upstream version 2.3.3
* [4ec31b4] drop patch queue.
Remove previous created patch about some fixing of typos, it's fixed
upstream.
* [efadac6] libsystemc.symbols: update file to version 2.3.3
* [c408571] NOTICE: install file only within the -dev package.
This is a fixup commit for d006443f5d6d3f508b8a889cfc4ce5624897b06e.
The NOTICE file is a required supplement for the Apache License 2.0,
which the systemc package is licensed.
* [5dc45e5] d/README.source: adding some information about the source.
Mainly some information about how to work with git-buildpackage.
Gbp-Dch: Ignore
* libsystemc-dev: decrease Architecture list. (Closes: #913269)
* uscan: update watch file to catch new versions.
Upstream isn't providing *.tar.gz files for Systemc, but plain gzip'd
files. Updating file accordingly.
[ أحمد المحمودي (Ahmed El-Mahmoudy) ]
* [ccc8ac4] Install NOTICE file in libsystemc
* [81a1b31] Update copyright info.
2018-11-14 - أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
systemc (2.3.2-3) unstable; urgency=medium
[ أحمد المحمودي (Ahmed El-Mahmoudy) ]
* Update standards version to 4.2.1, no changes needed
* Limit build archs as per supported by upstream (Closes: #913269)
* Re-added symbols file
[ Carsten Schoenert ]
* d/libsystemc.symbols: update symbols file. (Closes: #913270)
After the using of g++-8 as the new default compiler some symbols have
been changed. Adjust the files to reflect the new symbols.
Also adding the field 'Build-Depends-Package'.
* Lintian: update/remove lintian-override files.
Lintian isn't complaining about the word 'Synopsys' anymore but is now
telling some lintian-overrides are now useless. ;)
* d/control: add Multi-Arch field on -doc package.
* autopkgtest: add build-essential to Depends.
* hardening: set DEB_BUILD_MAINT_OPTIONS for hardening
2018-08-24 - أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
systemc (2.3.2-2) unstable; urgency=medium
* Updated standards version to 4.2.0
* Remove symbols file, as it is a real pain to maintain
2018-07-11 - أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
systemc (2.3.2-1) unstable; urgency=low
* Initial release (Closes: #902569)

See Also

Package Description
libsystemd-dev_241-7~deb10u1_amd64.deb systemd utility library - development files
libsystemd0_241-7~deb10u1_amd64.deb systemd utility library
libsz2_1.0.2-1_amd64.deb Adaptive Entropy Coding library - SZIP
libt3config-dev_0.2.11-1_amd64.deb Development files for libt3config
libt3config0_0.2.11-1_amd64.deb Library for reading and writing configuration files
libt3highlight-dev_0.4.6-1_amd64.deb Development files for libt3highlight
libt3highlight2_0.4.6-1_amd64.deb Syntax highlighting library
libt3key-bin_0.2.9-1+b1_amd64.deb Utilities for working with libt3key terminal descriptions
libt3key-dev_0.2.9-1+b1_amd64.deb Development files for libt3key
libt3key1_0.2.9-1+b1_amd64.deb Terminal key sequence database library
libt3widget-dev_1.0.3-1_amd64.deb Development files for libt3widget
libt3widget2_1.0.3-1_amd64.deb C++ terminal dialog toolkit
libt3window-dev_0.3.2-1_amd64.deb Development files for libt3window
libt3window0_0.3.2-1_amd64.deb Library for creating window-based terminal programs
libt4k-common0-dev_0.1.1-6_amd64.deb common library for tux4kids - development files
Advertisement
Advertisement